org.apache.ignite.ml.dataset.primitive

## Class SimpleDataset<C extends Serializable>

- java.lang.Object
- - org.apache.ignite.ml.dataset.primitive.DatasetWrapper<C,SimpleDatasetData>
  - - org.apache.ignite.ml.dataset.primitive.SimpleDataset<C>

- Type Parameters:
    `C` - Type of a partition `context`.
  All Implemented Interfaces:
    AutoCloseable, Dataset<C,SimpleDatasetData>

      public class SimpleDataset<C extends Serializable>
      extends DatasetWrapper<C,SimpleDatasetData>

  A simple dataset introduces additional methods based on a matrix of features.

- - ### Field Summary

    - ### Fields inherited from class org.apache.ignite.ml.dataset.primitive.DatasetWrapper

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleDataset(Dataset<C,SimpleDatasetData> delegate)` Creates a new instance of simple dataset that introduces additional methods based on a matrix of features.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `corr()` Calculates correlation matrix by all columns.
    `double[][]` | `cov()` Calculates covariance matrix by all columns.
    `double[]` | `mean()` Calculates mean value by all columns.
    `double[]` | `std()` Calculates standard deviation by all columns.

    - ### Methods inherited from class org.apache.ignite.ml.dataset.primitive.DatasetWrapper

      `close, compute, computeWithCtx`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.Dataset

      `compute, compute, compute, compute, compute, computeWithCtx, computeWithCtx, computeWithCtx, computeWithCtx, computeWithCtx, wrap`

- - ### Constructor Detail

    - #### SimpleDataset

          public SimpleDataset(Dataset<C,SimpleDatasetData> delegate)

      Creates a new instance of simple dataset that introduces additional methods based on a matrix of features.
      Parameters:
        `delegate` - Delegate that performs `compute` actions.

  - ### Method Detail

    - #### mean

          public double[] mean()

      Calculates mean value by all columns.
      Returns:
        Mean values.

    - #### std

          public double[] std()

      Calculates standard deviation by all columns.
      Returns:
        Standard deviations.

    - #### cov

          public double[][] cov()

      Calculates covariance matrix by all columns.
      Returns:
        Covariance matrix.

    - #### corr

          public double[][] corr()

      Calculates correlation matrix by all columns.
      Returns:
        Correlation matrix.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023